# QRect Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QRect()
- void QRect(QPoint topleft, QPoint bottomright)
- void QRect(QPoint topleft, QSize size)
- void QRect(int left, int top, int width, int height)

### Constructor Properties

- prototype: The QRect prototype object

### Prototype Object Properties

- void adjust(int x1, int y1, int x2, int y2)
- QRect adjusted(int x1, int y1, int x2, int y2)
- int bottom()
- QPoint bottomLeft()
- QPoint bottomRight()
- QPoint center()
- bool contains(QPoint p, bool proper)
- int height()
- QRect intersected(QRect other)
- bool intersects(QRect r)
- bool isEmpty()
- bool isNull()
- bool isValid()
- int left()
- void moveBottom(int pos)
- void moveBottomLeft(QPoint p)
- void moveBottomRight(QPoint p)
- void moveCenter(QPoint p)
- void moveLeft(int pos)
- void moveRight(int pos)
- void moveTo(QPoint p)
- void moveTop(int pos)
- void moveTopLeft(QPoint p)
- void moveTopRight(QPoint p)
- QRect normalized()
- bool operator_equal(QRect arg__2)
- void readFrom(QDataStream arg__1)
- int right()
- void setBottom(int pos)
- void setBottomLeft(QPoint p)
- void setBottomRight(QPoint p)
- void setCoords(int x1, int y1, int x2, int y2)
- void setHeight(int h)
- void setLeft(int pos)
- void setRect(int x, int y, int w, int h)
- void setRight(int pos)
- void setSize(QSize s)
- void setTop(int pos)
- void setTopLeft(QPoint p)
- void setTopRight(QPoint p)
- void setWidth(int w)
- void setX(int x)
- void setY(int y)
- QSize size()
- int top()
- QPoint topLeft()
- QPoint topRight()
- void translate(QPoint p)
- QRect translated(QPoint p)
- QRect united(QRect other)
- int width()
- void writeTo(QDataStream arg__1)
- int x()
- int y()

### Instance Properties

QRect objects have no special properties beyond those inherited from the QRect prototype object.